﻿using System.Diagnostics;
using System.Windows;
using System.Windows.Controls;

namespace TabItemUnloadTest
{
    public partial class DataVisual : UserControl
    {
        public static DependencyProperty OffendingUpdateProperty = DependencyProperty.Register("OffendingUpdate", typeof (ColorName), typeof (DataVisual), new PropertyMetadata(PropertyChangedCallback));

        public ColorName OffendingUpdate
        {
            get { return (ColorName) GetValue(OffendingUpdateProperty); }
            set { SetValue(OffendingUpdateProperty, value); }
        }

        private static int _creations;

        public static void PropertyChangedCallback(DependencyObject d, DependencyPropertyChangedEventArgs e)
        {
            _creations++;
            Trace.WriteLine("DataVisual.PropertyChangedCallback " + _creations);
        }

        public DataVisual()
        {
            InitializeComponent();
            DataContext = this;
        }
    }
}